#
# spec file for package python-python-pam
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global modname python-pam
Name:           python-python-pam
Version:        2.0.2
Release:        1.5
Summary:        Python PAM module using ctypes, py3/py2
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/FirefighterBlu3/python-pam
Source:         https://files.pythonhosted.org/packages/source/p/%{modname}/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
Python pam module supporting py3 (and py2).

%prep
%setup -q -n %{modname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/pam
%{python_sitelib}/python_pam-%{version}*

%changelog
* Tue Dec 12 2023 Joan Torres <joan.torres@suse.com>
- Version update to 2.0.2:
  * Surface fixes:
  * Fixed #31 whereby I changed the boolean response in 2.0.0 to
    a PAM constant. This reverts to the boolean response as
    existed in v1.8.5. The result code is still stored in the
    obj.code attribute.
  * Added the PamAuthenticate.authenticate() method signature
    and docstring to both of the new and legacy interfaces.
  * Changed the PamAuthenticate.authenticate() type hinting so it
    didn't interfere with the docstring.
  * Under the hood changes:
  * Start mocking the libpam methods so we can wholly disassociate
    ourselves from the underlying system. This lets us test more
    of the actual python code and lets us start injecting errors
    to test for.
- Version update to 2.0.0:
  * The surface functionality hasn't changed much but a few bugs
    have been fixed. Under the hood, a lot has changed.
    Functionality has now been moved into a class that helped with
    value tracking. I planned on removing Python 2 support but
    was convinced to leave it in for now as apparently there are
    still a lot of python2 users.
  * Most testing has moved to occur underneath tox, this is superior
    as it provides for testing in a clean environment and an
    installed environment.
* Fri Dec  7 2018 Tomáš Chvátal <tchvatal@suse.com>
- Version update to 1.8.4:
  * Various small fixes
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Jun 19 2017 okurz@suse.com
- Initial version 1.8.2
